> ## Documentation Index
> Fetch the complete documentation index at: https://developers.ebioro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Currencies

> Returns the pricing currencies you can denominate payments and invoices in. Requires authentication.



## OpenAPI

````yaml GET /currencies
openapi: 3.0.0
info:
  title: Ebioro Merchant API
  description: >-
    API for merchant payment processing on Stellar. Supports direct USDC
    payments and cross-chain deposits from multiple blockchains.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /currencies:
    get:
      tags:
        - Currencies
      summary: List supported currencies
      description: >-
        Returns the pricing currencies you can denominate payments and invoices
        in. Requires authentication.
      operationId: CurrenciesController_findAll
      parameters:
        - name: x-digest-timestamp
          in: header
          description: Current Unix timestamp
          required: true
          schema:
            type: string
        - name: x-digest-key
          in: header
          description: Your public api key
          required: true
          schema:
            type: string
        - name: x-digest-signature
          in: header
          description: Digest Auth Signature
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Supported currencies.
          content:
            application/json:
              example:
                items:
                  - resource: currencies
                    name: United States Dollar
                    code: USD
                    symbol: $
                    precision: 2
                  - resource: currencies
                    name: Euro
                    code: EUR
                    symbol: €
                    precision: 2
        '401':
          description: Authentication failed.
          content:
            application/json:
              example:
                reason: Signature verification failed
                statusCode: 401
        '404':
          description: Not found (or owned by another merchant).
          content:
            application/json:
              example:
                reason: Not found
                statusCode: 404
      security:
        - customHeader: []
components:
  securitySchemes:
    customHeader:
      type: apiKey
      in: header
      name: x-digest-key
      description: Your public API key

````